Переполнение буфера при обработке Windows Security ID в Samba

Дата публикации:
14.09.2010
Всего просмотров:
888
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:8.3/Temporal:6.1
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Samba 3.x
Уязвимые версии: Samba версии до 3.5.5

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функциях sid_parse() и dom_sid_parse() при обработке двоичной репрезентации Windows Security ID (SID). Удаленный пользователь может вызвать переполнение стека в smbd демоне и выполнить произвольный код на целевой системе.

URL производителя: www.samba.org

Решение: Установите последнюю версию 3.5.5 с сайта производителя.

Ссылки: http://us1.samba.org/samba/security/CVE-2010-3069.html
http://us1.samba.org/samba/history/samba-3.5.5.html

или введите имя

CAPTCHA